# $Revision: 1.58.2.3 $, $Date: 2007/02/17 19:37:29 $
Summary:	The GNU Transport Layer Security Library
Summary(pl):	Biblioteka GNU TLS (Transport Layer Security)
Name:		gnutls
Version:	1.6.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gnutls.org/pub/gnutls/%{name}-%{version}.tar.bz2
# Source0-md5:	fc3cc2509aa93e150cafd39619de7428
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/gnutls/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel >= 0.14.5
BuildRequires:	libcfg+-devel
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	libstdc++-devel
BuildRequires:	libtasn1-devel >= 0.3.4
BuildRequires:	libtool >= 2:1.5
BuildRequires:	lzo-devel
BuildRequires:	opencdk-devel >= 0.5.5
BuildRequires:	readline-devel
BuildRequires:	texinfo >= 4.8
BuildRequires:	zlib-devel
Requires(post,postun):	/sbin/ldconfig
Requires:	libgcrypt >= 1.2.2
Requires:	libtasn1 >= 0.3.4
Requires:	opencdk >= 0.5.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GnuTLS is a project that aims to develop a library which provides a
secure layer, over a reliable transport layer (ie. TCP/IP). Currently
the gnuTLS library implements the proposed standards by the IETF's TLS
working group.

%description -l pl
GnuTLS to projekt majcy na celu stworzenie biblioteki udostpniajcej
powok bezpieczestwa ponad powok transportow (np. TCP/IP).
Aktualnie biblioteka gnuTLS implementuje standardy proponowane przez
grup robocz IETF TLS.

%package devel
Summary:	Header files etc to develop gnutls applications
Summary(pl):	Pliki nagwkowe i inne do gnutls
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgcrypt-devel >= 1.2.2
Requires:	libtasn1-devel >= 0.3.4
Requires:	opencdk-devel
Requires:	zlib-devel

%description devel
Header files etc to develop gnutls applications.

%description devel -l pl
Pliki nagwkowe i inne do gnutls.

%package static
Summary:	Static gnutls library
Summary(pl):	Biblioteka statyczna gnutls
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gnutls library.

%description static -l pl
Biblioteka statyczna gnutls.

%package c++
Summary:	libgnutlsxx - C++ interface to gnutls library
Summary(pl):	libgnutlsxx - interfejs C++ do biblioteki gnutls
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
libgnutlsxx - C++ interface to gnutls library.

%description c++ -l pl
libgnutlsxx - interfejs C++ do biblioteki gnutls.

%package c++-devel
Summary:	Header files for libgnutlsxx, a C++ interface to gnutls library
Summary(pl):	Pliki nagwkowe libgnutlsxx - interfejsu C++ do biblioteki gnutls
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for libgnutlsxx, a C++ interface to gnutls library.

%description c++-devel -l pl
Pliki nagwkowe libgnutlsxx - interfejsu C++ do biblioteki gnutls.

%package c++-static
Summary:	Static version of libgnutlsxx, a C++ interface to gnutls library
Summary(pl):	Statyczna wersja libgnutlsxx - interfejsu C++ do biblioteki gnutls
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static version of libgnutlsxx, a C++ interface to gnutls library.

%description c++-static -l pl
Statyczna wersja libgnutlsxx - interfejsu C++ do biblioteki gnutls.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4 -I lgl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-dependency-tracking

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/certtool
%attr(755,root,root) %{_bindir}/gnutls-*
%attr(755,root,root) %{_bindir}/psktool
%attr(755,root,root) %{_bindir}/srptool
%attr(755,root,root) %{_libdir}/libgnutls.so.*.*.*
%attr(755,root,root) %{_libdir}/libgnutls-extra.so.*.*.*
%attr(755,root,root) %{_libdir}/libgnutls-openssl.so.*.*.*
%{_mandir}/man1/certtool.1*
%{_mandir}/man1/gnutls-*.1*
%{_mandir}/man1/psktool.1*
%{_mandir}/man1/srptool.1*
%{_infodir}/gnutls.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libgnutls-config
%attr(755,root,root) %{_bindir}/libgnutls-extra-config
%attr(755,root,root) %{_libdir}/libgnutls.so
%attr(755,root,root) %{_libdir}/libgnutls-extra.so
%attr(755,root,root) %{_libdir}/libgnutls-openssl.so
%{_libdir}/libgnutls.la
%{_libdir}/libgnutls-extra.la
%{_libdir}/libgnutls-openssl.la
%{_includedir}/gnutls
%exclude %{_includedir}/gnutls/gnutlsxx.h
%{_aclocaldir}/libgnutls.m4
%{_aclocaldir}/libgnutls-extra.m4
%{_pkgconfigdir}/gnutls.pc
%{_pkgconfigdir}/gnutls-extra.pc
%{_mandir}/man3/*gnutls*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnutls.a
%{_libdir}/libgnutls-extra.a
%{_libdir}/libgnutls-openssl.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnutlsxx.so.*.*.*

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnutlsxx.so
%{_libdir}/libgnutlsxx.la
%{_includedir}/gnutls/gnutlsxx.h

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libgnutlsxx.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnutls.spec,v $
Revision 1.58.2.3  2007/02/17 19:37:29  qboosh
- merged 1.6.1 from HEAD (fixes CVE-2006-4790); new SONAME

Revision 1.58.2.2  2006/12/12 17:05:56  glen
- rel 2 (rebuild with lzo2)

Revision 1.58.2.1  2006/02/10 09:54:22  qboosh
- updated to 1.2.10 (security fixes; STBR to Ac)

Revision 1.58  2005/11/08 10:25:16  qboosh
- updated to 1.2.9
- require libgcrypt >= 1.2.2 to avoid bugs in earlier versions

Revision 1.57  2005/10/30 23:18:16  glen
- R opencdk-devel to -devel as libgnutls-extra-config --libs has -lopencdk; rel 2

Revision 1.56  2005/10/08 15:42:24  areq
- 1.2.8

Revision 1.55  2005/09/23 14:00:34  qboosh
- updated to 1.2.7

Revision 1.54  2005/07/17 22:26:03  qboosh
- updated to 1.2.6 (ready for lzo 2.01)

Revision 1.53  2005/07/05 19:41:54  qboosh
- updated to 1.2.5

Revision 1.52  2005/05/28 11:55:14  areq
- 1.2.4

Revision 1.51  2005/04/29 18:15:31  qboosh
- updated to 1.2.3 (important bugfixes)

Revision 1.50  2005/04/26 17:42:49  qboosh
- updated to 1.2.2, removed obsolete fix patch

Revision 1.49  2005/04/05 18:21:38  qboosh
- updated to 1.2.1, updated fix patch

Revision 1.48  2005/02/28 22:18:47  qboosh
- updated to 1.2.0 (new feature release; note: new sonames)
- updated fix patch, added info patch

Revision 1.47  2005/01/20 20:25:29  qboosh
- updated to 1.0.24 (bugfixes)

Revision 1.46  2004/12/11 12:43:48  qboosh
- updated to 1.0.23 (note: same soname, but symbol versioning changed)

Revision 1.45  2004/10/30 18:29:45  qboosh
- updated to 1.0.22 (bugfixes, pkgconfig metafiles)

Revision 1.44  2004/10/17 20:30:17  qboosh
- updated to 1.0.21 (bugfixes)

Revision 1.43  2004/08/26 20:10:30  qboosh
- updated to 1.0.20 (.tar.gz again), updated deps

Revision 1.42  2004/08/02 16:34:54  pluto
- updated to 1.0.17 ( http://www.hornik.sk/SA/SA-20040802.txt ).

Revision 1.41  2004/07/23 23:25:32  qboosh
- updated to 1.0.16

Revision 1.40  2004/07/03 21:58:40  qboosh
- updated to 1.0.15

Revision 1.39  2004/06/27 15:14:08  qboosh
- automake epoch

Revision 1.38  2004/06/21 20:06:11  qboosh
- fix patch is back (updated)
- BR: opencdk 0.5.5 (internal copy is used otherwise)
- BR: am 1.8.3 (as workaround from am18 patch has been removed)

Revision 1.37  2004/06/20 22:07:50  arekm
- updated to 1.0.14; patches obsolete

Revision 1.36  2004/05/07 12:34:20  qboosh
- updated to 1.0.13, updated fix patch

Revision 1.35  2004/04/29 00:20:40  qboosh
- updated to 1.0.12, added fix patch (some changes missing on merge)

Revision 1.34  2004/04/17 21:49:39  qboosh
- updated to 1.0.11

Revision 1.33  2004/04/01 07:34:08  grzegol
- updated to 1.0.9
- warning, soname has changed!

Revision 1.32  2004/02/28 14:15:24  qboosh
- updated to 1.0.8

Revision 1.31  2004/02/26 21:25:43  qboosh
- updated to 1.0.7

Revision 1.30  2004/02/22 14:44:09  grzegol
- rel. 2 to rebuild with libgcrypt-1.1.92

Revision 1.29  2004/02/12 22:28:50  qboosh
- updated to 1.0.6

Revision 1.28  2004/02/11 15:33:55  grzegol
- updated to 1.0.5

Revision 1.27  2004/01/05 20:59:02  grzegol
- updated to 1.0.4

Revision 1.26  2003/12/22 20:12:44  qboosh
- updated to 1.0.3

Revision 1.25  2003/12/18 21:44:48  qboosh
- updated to 1.0.2
- added am18 patch (*.m4 quotation fixes and build fix needed for am 1.8)

Revision 1.24  2003/12/11 20:10:38  qboosh
- updated to 1.0.1

Revision 1.23  2003/12/04 19:37:04  qboosh
- updated to 1.0.0

Revision 1.22  2003/12/01 17:34:51  pius
- updated to 0.9.99

Revision 1.21  2003/11/17 17:49:57  qboosh
- updated to 0.9.98

Revision 1.20  2003/11/12 15:25:57  wrobell
- ver. 0.9.97

Revision 1.19  2003/11/10 14:56:35  wrobell
- merged from DEVEL

Revision 1.18.2.5  2003/11/10 14:49:04  qboosh
- updated to 0.9.96

Revision 1.18.2.4  2003/11/02 23:04:12  qboosh
- oops, ac version in BR is back

Revision 1.18.2.3  2003/11/02 22:44:58  qboosh
- updated to 0.9.95 - builds OK with recent opencdk 0.5.2
- updated files, rebuild lt/ac/am (relink issue)

Revision 1.18.2.2  2003/10/28 10:52:50  qboosh
- versions updated (yes, it wants unreleased opencdk)

Revision 1.18.2.1  2003/10/28 10:48:28  wiget
- 0.9.93

Revision 1.18  2003/10/27 06:57:56  qboosh
- updated to 0.8.12, removed opencdk patch (now really obsolete)

Revision 1.17  2003/10/08 11:39:02  qboosh
- up to 0.8.11, updated opencdk patch, added acfix patch

Revision 1.16  2003/08/10 08:38:34  gotar
- upgraded to 0.8.10

Revision 1.15  2003/08/03 19:12:10  qboosh
- patched for opencdk 0.5.1, release 3

Revision 1.14  2003/08/03 10:20:16  qboosh
- added libgcrypt patch with API update (for 1.1.42)
- added devel deps
- release 2

Revision 1.13  2003/07/15 12:12:19  wiget
- updated to 0.8.9

Revision 1.12  2003/06/10 12:23:14  wiget
- updated to 0.8.8

Revision 1.11  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 05:48:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/05/15 23:07:56  qboosh
- updated to 0.8.7
- BR: lzo-devel

Revision 1.8  2003/01/27 22:46:05  filon
- updated to 0.8.1
- updated requires
- regenerate ac/am/lt stuff

Revision 1.7  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/10/09 08:25:20  misiek
- updated to 0.5.8

Revision 1.5  2002/04/25 16:28:05  arturs
fixed a small typo

Revision 1.4  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/03 08:54:23  qboosh
- pl summary, cosmetics

Revision 1.1  2001/12/01 13:12:29  misiek
- initial pld release
